{
  "name": "dotstatsuite-config",
  "version": "17.0.0",
  "engines": {
    "node": ">=18.*"
  },
  "scripts": {
    "dist:srv": "cross-env NODE_ENV=production babel --copy-files src -d dist",
    "dist:run": "cross-env NODE_ENV=production node dist/server",
    "start:srv": "cross-env NODE_ENV=development nodemon --watch src/server --exec 'babel-node src/server'",
    "lint": "yarn lint:js",
    "lint:eslint": "eslint --ignore-pattern '!.eslintrc.js'",
    "lint:js": "yarn lint:eslint -- . ",
    "precommit": "lint-staged",
    "test": "cross-env NODE_ENV=test jest --color --runInBand"
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "lint-staged": {
    "*.{js}": [
      "prettier --write",
      "git add",
      "yarn lint:eslint"
    ]
  },
  "dependencies": {
    "@aws-sdk/client-s3": "^3.433.0",
    "@aws-sdk/s3-request-presigner": "^3.433.0",
    "@azure/storage-blob": "^12.17.0",
    "@google-cloud/storage": "^5.7.3",
    "aws-sdk-v3-proxy": "^2.1.2",
    "core-js": "^3.37.1",
    "cross-env": "^7.0.3",
    "dotenv": "^8.2.0",
    "env": "^0.0.2",
    "express": "^4",
    "fs-extra": "^10.0.0",
    "got": "^11.8.1",
    "http-proxy": "^1.18.1",
    "jeto": "^0.1.0",
    "mime-type": "^4",
    "minio": "^7",
    "nock": "^13.0.7",
    "normalize-url": "^7.0.3",
    "pino": "^8.7.0",
    "pino-pretty": "^9.1.1",
    "pino-stackdriver": "^3.0.0",
    "ramda": "^0.27.1",
    "regenerator-runtime": "^0.13.9"
  },
  "resolutions": {
    "protobufjs": "^7.2.5"
  },
  "overrides": {
    "pino-stackdriver": {
      "@google-cloud/logging": "^10"
    }
  },
  "jest": {
    "verbose": true,
    "collectCoverageFrom": [
      "src/**/*.{js,jsx,ts,tsx}",
      "!src/server/index.js"
    ],
    "testRegex": "tests/.*\\.test\\.js$",
    "testEnvironment": "node"
  },
  "babel": {
    "presets": [
      "@babel/preset-env"
    ]
  },
  "devDependencies": {
    "@babel/cli": "^7",
    "@babel/core": "^7",
    "@babel/eslint-parser": "^7",
    "@babel/node": "^7",
    "@babel/preset-env": "^7",
    "@babel/register": "^7",
    "aws-sdk-client-mock": "^4.0.0",
    "babel-eslint": "^10.1.0",
    "babel-jest": "^26.6.0",
    "eslint": "^7.20.0",
    "eslint-config-prettier": "^7.2.0",
    "eslint-plugin-prettier": "^3.3.1",
    "husky": "^4.3.8",
    "jest": "^27",
    "lint-staged": "^10.5.3",
    "nodemon": "^2.0.7",
    "prettier": "^2.4.1"
  }
}
